/*
 * Copyright (c) 2009 The Trustees of Indiana University and Indiana
 *                    University Research and Technology
 *                    Corporation.  All rights reserved.
 *
 * Author(s): Torsten Hoefler <htor@cs.indiana.edu>
 *
 */

#ifndef __MPIPARMETIS_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <mpi.h>
#include <parmetis.h>

#ifdef FAKE_MPI22
// use the MPI-2.2 reference implementation instaed of a native one
// (your MPI library sucks!) 
#include <virt_graph_scal.hpp> 
#define MPI_UNWEIGHTED MPIX_UNWEIGHTED
#define MPI_Dist_graph_create MPIX_Dist_graph_create
#define MPI_Dist_graph_create_adjacent MPIX_Dist_graph_create_adjacent
#define MPI_Dist_graph_neighbors_count MPIX_Dist_graph_neighbors_count
#define MPI_Dist_graph_neighbors MPIX_Dist_graph_neighbors
#endif

extern "C" {
  int MPIX_Graph_create_parmetis_unweighted(idxtype *vtxdist, idxtype *xadj, idxtype *adjncy, int *numflag, idxtype *part, MPI_Comm *comm, MPI_Comm *newcomm);
}

#define __MPIPARMETIS_H
#endif
